org.apache.poi.sl.draw.binding

## Class CTRelativeRect

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTRelativeRect

-     public class CTRelativeRect
      extends java.lang.Object

  Java class for CT_RelativeRect complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_RelativeRect">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="l" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" default="0" />
             <attribute name="t" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" default="0" />
             <attribute name="r" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" default="0" />
             <attribute name="b" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Percentage" default="0" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Integer` | `b`
    `protected java.lang.Integer` | `l`
    `protected java.lang.Integer` | `r`
    `protected java.lang.Integer` | `t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTRelativeRect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getB()` Gets the value of the b property.
    `int` | `getL()` Gets the value of the l property.
    `int` | `getR()` Gets the value of the r property.
    `int` | `getT()` Gets the value of the t property.
    `boolean` | `isSetB()`
    `boolean` | `isSetL()`
    `boolean` | `isSetR()`
    `boolean` | `isSetT()`
    `void` | `setB(int value)` Sets the value of the b property.
    `void` | `setL(int value)` Sets the value of the l property.
    `void` | `setR(int value)` Sets the value of the r property.
    `void` | `setT(int value)` Sets the value of the t property.
    `void` | `unsetB()`
    `void` | `unsetL()`
    `void` | `unsetR()`
    `void` | `unsetT()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### l

          protected java.lang.Integer l

    - #### t

          protected java.lang.Integer t

    - #### r

          protected java.lang.Integer r

    - #### b

          protected java.lang.Integer b

  - ### Constructor Detail

    - #### CTRelativeRect

          public CTRelativeRect()

  - ### Method Detail

    - #### getL

          public int getL()

      Gets the value of the l property.
      Returns:
        possible object is `Integer`

    - #### setL

          public void setL(int value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isSetL

          public boolean isSetL()

    - #### unsetL

          public void unsetL()

    - #### getT

          public int getT()

      Gets the value of the t property.
      Returns:
        possible object is `Integer`

    - #### setT

          public void setT(int value)

      Sets the value of the t property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isSetT

          public boolean isSetT()

    - #### unsetT

          public void unsetT()

    - #### getR

          public int getR()

      Gets the value of the r property.
      Returns:
        possible object is `Integer`

    - #### setR

          public void setR(int value)

      Sets the value of the r property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isSetR

          public boolean isSetR()

    - #### unsetR

          public void unsetR()

    - #### getB

          public int getB()

      Gets the value of the b property.
      Returns:
        possible object is `Integer`

    - #### setB

          public void setB(int value)

      Sets the value of the b property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isSetB

          public boolean isSetB()

    - #### unsetB

          public void unsetB()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.